package de.avm.android.tr064.model;

public class MyFritzInfo {
	private boolean mDeviceRegistered = false;
	private String mDynDNSName = "";
	private boolean mEnabled = false;
	private int mPort = 0;
	
	public boolean isDeviceRegistered() {
		return mDeviceRegistered;
	}
	
	public void setDeviceRegistered(boolean deviceRegistered) {
		this.mDeviceRegistered = deviceRegistered;
	}

	public String getDynDNSName() {
		return mDynDNSName;
	}

	public void setDynDNSName(String dynDNSName) {
		this.mDynDNSName = dynDNSName;
	}

	public boolean isEnabled() {
		return mEnabled;
	}

	public void setEnabled(boolean enabled) {
		this.mEnabled = enabled;
	}

	public int getPort() {
		return mPort;
	}

	public void setPort(int port) {
		this.mPort = port;
	}
	
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		
		result.append(this.getClass().getName() + "Object {" + NEW_LINE);
		result.append(" Device Registered: " + mDeviceRegistered + NEW_LINE);
		result.append(" DynDNS Name: " + mDynDNSName + NEW_LINE);
		result.append(" Enabled: " + mEnabled + NEW_LINE);
		result.append(" Port: " + mPort + NEW_LINE);
		result.append("}");
		
		return result.toString();
	}
}
